#define MY_RADIO_NRF24
#include <SPI.h>
#include <MySensor.h>  

MyMessage msg1(0,V_TEMP);
MyMessage msg2(1,V_TEMP);
MyMessage msg3(2,V_LIGHT_LEVEL);

#include <math.h>

double oldval1 = 0.0;
double oldval2 = 0.0;
double oldval3 = 0.0;

void setup() {            //This function gets called when the Arduino starts
  Serial.begin(115200);   //This code sets up the Serial port at 115200 baud rate
}


void presentation() {
  sendSketchInfo("Refridgerator Sensor", "1.0");
  present(0, S_TEMP);
  present(1, S_TEMP);
  present(2, S_LIGHT_LEVEL);
}

double Thermistor(int RawADC) {  //Function to perform the fancy math of the Steinhart-Hart equation
 double Temp;
 Temp = log(((10240000/RawADC) - 10000));
 Temp = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * Temp * Temp ))* Temp );
 Temp = Temp - 273.15;              // Convert Kelvin to Celsius
 //Temp = (Temp * 9.0)/ 5.0 + 32.0; // Celsius to Fahrenheit - comment out this line if you need Celsius
 return Temp;
}
 
void loop() {
  double val1= (double) Thermistor( analogRead(0) );
  if(val1 != oldval1){
    Serial.print("Fridge: "); Serial.println( val1 );
    send(msg1.set((float)val1,4) );
    oldval1 = val1;
  }

  double val2= (double) Thermistor( analogRead(1) );
  if(val2 != oldval2){
    Serial.print("Fridge: "); Serial.println( val2 );
    send(msg2.set((float)val2,4) );
    oldval2 = val2;
  }

  double val3=map(analogRead(2),0,1024,0,100) ;
  if(val3 != oldval3){
    Serial.print("Fridge light%: "); Serial.println(val3);
    send(msg3.set((int)val3) );
    oldval3 = val3;
  }

  Serial.println("*****");
  delay(1000);
}
